#
# spec file for package netsurf-buildsystem
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_name buildsystem
Name:           netsurf-buildsystem
Version:        1.10
Release:        1.6
Summary:        Makefiles shared by NetSurf projects
License:        MIT
URL:            https://www.netsurf-browser.org/
Source:         http://download.netsurf-browser.org/libs/releases/%{src_name}-%{version}.tar.gz
Patch0:         hardcoded.patch
BuildArch:      noarch

%description
%{name} contains makefiles shared by NetSurf projects.

%prep
%setup -q -n %{src_name}-%{version}
%autopatch -p1

%build

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%doc README
%{_datadir}/%{name}

%changelog
* Sun Dec 31 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to 1.10:
  * RISC OS: push backtrace extensions into Makefile.gcc
  * makefiles: move __postshared after all
  * makefiles/Makefile.top: dependencies for PRE_ and POST_TARGETS
  * makefiles: support building shared libs on Darwin
  * RISC OS: support gnueabi as well as gnueabihf
  * Tweak RISC OS host detection for new tooling
  * makefiles: Use install -C by default
* Wed Aug 26 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to not expect which to be in /bin:
  * hardcoded.patch
* Tue Aug 25 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.9:
  * openbsd support
  * Enable sanitize target for new gccs and clang
  * cope with Apple clang version
  * Add support for INCLUDEDIR
  * Fix Build/HOST confusion
  * Fix quotation in case expansion for make selection
* Fri May 23 2014 tchvatal@suse.com
- Try to parse with spec-cleaner.
* Fri May 23 2014 fstrba@suse.com
- Initial import of netsurf-buildsystem, inspired by Fedora package
